Page MenuHomePhabricator

Minerva Node.js browser tests failing and not running against commits
Closed, DuplicatePublic8 Story Points

Description

The minerva browser test has been failing for several builds today:https://integration.wikimedia.org/ci/view/Reading-Web/job/selenium-daily-beta-Minerva/58/console

These tests are supposed to be run against every Minerva commit, but something is stopping them from (possibly a side effect of stopping them from running against core?)

Let's fix these two problems.

@zeljkofilipin have you got any time today?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2019, 7:55 AM

Change 510992 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] QA: Don't chain things that cannot be chained

https://gerrit.wikimedia.org/r/510992

@Jdlrobson sorry, just saw your ping :(

zeljkofilipin triaged this task as Normal priority.May 23 2019, 10:43 AM
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
ovasileva set the point value for this task to 8.May 28 2019, 4:14 PM

Change 510992 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] QA: Don't chain things that cannot be chained

https://gerrit.wikimedia.org/r/510992

This task seems to want 2 things:

  1. fix the daily browser test job
  2. run the browser tests against every commit

It's probably a good idea to have the tests passing before we run them against every commit :P so I'm going to merge this task into another one with more detail about why the daily job is failing, and I'll open another task to run the tests against commits when that issue is resolved.